Post by AbraKadaWeb » Mon Sep 10, 2012 3:12 am

Hi,

I just upgraded from 1.5.3.1 to 1.5.4.1 . but when I try to run upgrade.php I got this error:

Fatal error: Call to undefined function mcrypt_create_iv() in /var/www/vhosts/abrakadaweb.com/httpdocs/boutique/system/library/encryption.php on line 8

I have access to admin panel,

Somebody can help me on this please?

Thanks in advance

Sylvio
=================
I ran upgrade.php I think it was an error. Now I just ran intall.php and I see the ugrade instruction. But I have 3 line of error on top:

Notice: Undefined variable: dbuser in /var/www/vhosts/abrakadaweb.com/httpdocs/boutique/install/index.php(28) : eval()'d code on line 1

Notice: Undefined variable: dbpass in /var/www/vhosts/abrakadaweb.com/httpdocs/boutique/install/index.php(28) : eval()'d code on line 1

Notice: Undefined variable: dbname in /var/www/vhosts/abrakadaweb.com/httpdocs/boutique/install/index.php(28) : eval()'d code on line 1

I clic on UPGRADE, after when I refresh page and cleaned cookies twice on admin panet I lost the admin panel and got this error:(I replace my passwords by xxxxxx)

Notice: Error: Unknown column 'salt' in 'where clause'
Error No: 1054
SELECT * FROM user WHERE username = 'Fleuve Magique' AND (password = SHA1(CONCAT(salt, SHA1(CONCAT(salt, SHA1('xxxxxxxxx'))))) OR password = 'xxxxxxxxxxxx7') AND status = '1' in /var/www/vhosts/abrakadaweb.com/httpdocs/boutique/system/database/mysql.php on line 49

Sylvio ^) ^
AbraKadaWeb.Com
Opencart 1.5.3.1 - FR


User avatar
Newbie

Posts

Joined
Sun Mar 04, 2012 11:44 am
Location - Drummondville,Québec,Canada

Post by AbraKadaWeb » Mon Sep 10, 2012 4:12 am

I resume where I am now:

http://www.abrakadaweb.com/boutique/install/

I see this update page (see printscreen) What the best thing to do?

Additional information: I had a problem 1 months ago related mcrypt when I tried to install the following module: "OpenBay Pro-list, import & sync stock with eBay" My server does not support mcript . So I had to delete rows in the file index.php as directed officials of this extension. Everything was back to normal, but this extension is not VQMOD, files remained.

My website is down now, so if it is to complicated for now to fix, is somebody can tell me please how to roll back to 1.5.3.1?

thanks

Attachments

AbraKadaWeb_upgrade.jpg

http://www.abrakadaweb.com/boutique/install/ - AbraKadaWeb_upgrade.jpg (191.6 KiB) Viewed 9571 times


Sylvio ^) ^
AbraKadaWeb.Com
Opencart 1.5.3.1 - FR


User avatar
Newbie

Posts

Joined
Sun Mar 04, 2012 11:44 am
Location - Drummondville,Québec,Canada

User avatar
Newbie

Posts

Joined
Wed Nov 16, 2011 11:53 am
Location - Singapore

Post by AbraKadaWeb » Mon Sep 10, 2012 10:27 am

Thanks, but my provider said it is to complicated to install it...Is mcrypt needed to upgrade to 1.5.4.1?

Sylvio ^) ^
AbraKadaWeb.Com
Opencart 1.5.3.1 - FR


User avatar
Newbie

Posts

Joined
Sun Mar 04, 2012 11:44 am
Location - Drummondville,Québec,Canada

User avatar
Newbie

Posts

Joined
Wed Nov 16, 2011 11:53 am
Location - Singapore

Post by matteoraggi » Wed Sep 18, 2013 3:10 am

Thanks! I activated mcrypt in my hosting and now it's all right!

http://www.restaurantsupplies.eu Restaurant Supplies
Opencart 1.5.6.4 VQMOD 2.4.1
Languages: Italian, French, German, Hungarian, English, Russian, Polish and Spanish


Newbie

Posts

Joined
Fri Apr 10, 2009 8:16 pm
Who is online

Users browsing this forum: No registered users and 14 guests